import 'package:flutter/material.dart';
import 'package:google_fonts/google_fonts.dart';
import '../../remote/local/shared_prefers_helper.dart';
import 'colors.dart';
import 'sizes.dart';

class Styles {
  static const _medium = FontWeight.w500;
  static const _regular = FontWeight.w400;

  static TextStyle customTextSmallStyle(
      {Color? color = SharingColors.textColor,
      String? fontName,
      double? textSize,
      FontWeight? fontWeight}) {
    return GoogleFonts.getFont(fontName ?? prefsHelper.getFontName(),
        color: color,
        fontWeight: fontWeight ?? _regular,
        fontSize: textSize ?? Sizes.TEXT_SIZE_12,
        fontStyle: FontStyle.normal);
  }

  static TextStyle customTextSmallBoldStyle(
      {Color? color = SharingColors.textColor,
      String? fontName,
      double? textSize,
      FontWeight? fontWeight}) {
    return GoogleFonts.getFont(fontName ?? prefsHelper.getFontName(),
        color: color,
        fontWeight: fontWeight ?? FontWeight.bold,
        fontSize: textSize ?? Sizes.TEXT_SIZE_12,
        fontStyle: FontStyle.normal);
  }

  static TextStyle customTextSmallItalictStyle(
      {Color? color = SharingColors.textColor,
      String? fontName,
      double? textSize,
      FontWeight? fontWeight}) {
    return GoogleFonts.getFont(
      fontName ?? prefsHelper.getFontName(),
      fontSize: textSize ?? Sizes.TEXT_SIZE_12,
      color: color,
      fontWeight: fontWeight ?? FontWeight.normal,
      fontStyle: FontStyle.italic,
    );
  }

  static TextStyle customTextDefaultStyle(
      {Color? color = SharingColors.textColor,
      String? fontName,
      double? textSize,
      FontWeight? fontWeight}) {
    return GoogleFonts.getFont(fontName ?? prefsHelper.getFontName(),
        color: color,
        fontWeight: fontWeight ?? _regular,
        fontSize: textSize ?? Sizes.TEXT_SIZE_14,
        fontStyle: FontStyle.normal);
  }

  static TextStyle customTextDefaultBoldStyle(
      {Color? color = SharingColors.textColor,
      String? fontName,
      double? textSize,
      FontWeight? fontWeight}) {
    return GoogleFonts.getFont(fontName ?? prefsHelper.getFontName(),
        color: color,
        fontWeight: fontWeight ?? FontWeight.bold,
        fontSize: textSize ?? Sizes.TEXT_SIZE_14,
        fontStyle: FontStyle.normal);
  }

  static TextStyle customTextDefaultItalictStyle(
      {Color? color = SharingColors.textColor,
      String? fontName,
      double? textSize,
      FontWeight? fontWeight}) {
    return GoogleFonts.getFont(
      fontName ?? prefsHelper.getFontName(),
      fontSize: textSize ?? Sizes.TEXT_SIZE_14,
      color: color,
      fontWeight: fontWeight ?? FontWeight.normal,
      fontStyle: FontStyle.italic,
    );
  }

  static TextStyle? customTextMediumStyle(
      {Color? color = SharingColors.textColor,
      String? fontName,
      double? textSize,
      FontWeight? fontWeight}) {
    return GoogleFonts.getFont(fontName ?? prefsHelper.getFontName(),
        color: color,
        fontWeight: fontWeight ?? _medium,
        fontSize: textSize ?? Sizes.TEXT_SIZE_16,
        fontStyle: FontStyle.normal);
  }

  static TextStyle customTextMediumItalicStyle(
      {Color? color = SharingColors.textColor,
      String? fontName,
      double? textSize,
      FontWeight? fontWeight}) {
    return GoogleFonts.getFont(fontName ?? prefsHelper.getFontName(),
        color: color,
        fontWeight: fontWeight ?? FontWeight.normal,
        fontSize: textSize ?? Sizes.TEXT_SIZE_16,
        fontStyle: FontStyle.italic);
  }

  static TextStyle customTextMediumBoldStyle(
      {Color? color = SharingColors.textColor,
      String? fontName,
      double? textSize,
      FontWeight? fontWeight}) {
    return GoogleFonts.getFont(fontName ?? prefsHelper.getFontName(),
        color: color,
        fontWeight: fontWeight ?? FontWeight.bold,
        fontSize: textSize ?? Sizes.TEXT_SIZE_16,
        fontStyle: FontStyle.normal);
  }

  static TextStyle customTextLargeStyle(
      {Color? color = SharingColors.textColor,
      String? fontName,
      double? textSize,
      FontWeight? fontWeight}) {
    return GoogleFonts.getFont(fontName ?? prefsHelper.getFontName(),
        color: color,
        fontWeight: fontWeight ?? FontWeight.w500,
        fontSize: textSize ?? Sizes.TEXT_SIZE_18,
        fontStyle: FontStyle.normal);
  }

  static TextStyle customTextLargeItalicStyle(
      {Color? color = SharingColors.textColor,
      String? fontName,
      double? textSize,
      FontWeight? fontWeight}) {
    return GoogleFonts.getFont(fontName ?? prefsHelper.getFontName(),
        color: color,
        fontWeight: fontWeight ?? FontWeight.normal,
        fontSize: textSize ?? Sizes.TEXT_SIZE_18,
        fontStyle: FontStyle.italic);
  }

  static TextStyle customTextLargeBoldStyle(
      {Color? color = SharingColors.textColor,
      String? fontName,
      double? textSize,
      FontWeight? fontWeight}) {
    return GoogleFonts.getFont(fontName ?? prefsHelper.getFontName(),
        color: color,
        fontWeight: fontWeight ?? FontWeight.bold,
        fontSize: textSize ?? Sizes.TEXT_SIZE_18,
        fontStyle: FontStyle.normal);
  }

  static TextStyle customTextHeaderDefaultStyle(
      {Color? color = SharingColors.textColor,
      String? fontName,
      double? textSize,
      FontWeight? fontWeight}) {
    return GoogleFonts.getFont(fontName ?? prefsHelper.getFontName(),
        color: color,
        fontWeight: fontWeight ?? FontWeight.bold,
        fontSize: textSize ?? Sizes.TEXT_SIZE_20,
        fontStyle: FontStyle.normal);
  }

  static TextStyle customTextHeaderMediumStyle(
      {Color? color = SharingColors.textColor,
      String? fontName,
      double? textSize,
      FontWeight? fontWeight}) {
    return GoogleFonts.getFont(fontName ?? prefsHelper.getFontName(),
        color: color,
        fontWeight: fontWeight ?? FontWeight.bold,
        fontSize: textSize ?? Sizes.TEXT_SIZE_22,
        fontStyle: FontStyle.normal);
  }

  static TextStyle customTextHeaderLargeStyle(
      {Color? color = SharingColors.textColor,
      String? fontName,
      double? textSize,
      FontWeight? fontWeight}) {
    return GoogleFonts.getFont(fontName ?? prefsHelper.getFontName(),
        color: color,
        fontWeight: fontWeight ?? FontWeight.bold,
        fontSize: textSize ?? Sizes.TEXT_SIZE_26,
        fontStyle: FontStyle.normal);
  }
}
