
import '../../common/values/colors.dart';
import '../../common/values/sizes.dart';
import 'package:easy_localization/src/public_ext.dart';
import 'package:flutter/material.dart';

import '../custom/spaces.dart';
import '../text/custom_text_medium_italic_field.dart';

class EmptyUIPageWidget extends StatelessWidget {
  final String? msg;
  final bool? isBackgroundWhite;

  const EmptyUIPageWidget({Key? key, this.msg, this.isBackgroundWhite = false})
      : super(key: key);
  @override
  Widget build(BuildContext context) {
    return Container(
      color: isBackgroundWhite == true
          ? SharingColors.backgroundWhiteColor
          : SharingColors.backgroundGrayColor,
      width: Sizes.width(context),
      child: Column(
        mainAxisSize: MainAxisSize.max,
        mainAxisAlignment: MainAxisAlignment.center,
        children: [
          Image.asset("assets/images/ic_not_found.png",
              height: Sizes.WIDTH_52,
              width: Sizes.WIDTH_52,
              color: SharingColors.textColor1),
          SpaceH10(),
          CustomTextMediumItalicField(
            label: msg ?? "text_no_products_found".tr(),
            color: SharingColors.textColor1,
          )
        ],
      ),
    );
  }
}
