import '../../common/values/styles.dart';
import 'package:flutter/material.dart';

class CustomTextDefaultBoldField extends StatelessWidget {
  final label;
  final color;
  final TextAlign? align;
  final double? textSize;
  final int? maxLine;
  final FontWeight? fontWeight;
  final String? fontName;

  CustomTextDefaultBoldField(
      {required this.label,
      this.color,
      this.align,
      this.maxLine = 2,
      this.textSize,
      this.fontWeight,
      this.fontName});

  @override
  Widget build(BuildContext context) {
    return Text(label,
        style: Styles.customTextDefaultBoldStyle(
            color: color,
            textSize: textSize,
            fontName: fontName,
            fontWeight: fontWeight),
        textAlign: align,
        maxLines: maxLine,
        overflow: TextOverflow.ellipsis);
  }
}
